/*
 * index.d.ts
 * This definition file will typed to "src/index.ts" and sub-modules.
 */
import VimeoPlayerTypes from '@types/vimeo__player';

declare global {
  interface Window {
    YT: {
      Player: YT.Player;
      PlayerState: YT.PlayerState;
    };
    YTConfig?: YT.PlayerOptions;
    onYouTubeIframeAPIReady (): void;

    Vimeo: {
      Player: typeof VimeoPlayerTypes;
    };
  }
}
